# Uses of Class
org.apache.sysds.runtime.meta.MatrixCharacteristics

Packages that use MatrixCharacteristics
Package
Description
org.apache.sysds.api.mlcontext
org.apache.sysds.lops
org.apache.sysds.parser

## Uses of MatrixCharacteristics in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MatrixCharacteristics
Modifier and Type
Method
Description
`MatrixCharacteristics`
Metadata.`asMatrixCharacteristics()`
Convert the metadata to a DataCharacteristics object.
Methods in org.apache.sysds.api.mlcontext with parameters of type MatrixCharacteristics
Modifier and Type
Method
Description
`void`
FrameMetadata.`setMatrixCharacteristics(MatrixCharacteristics matrixCharacteristics)`
Set the FrameMetadata fields based on a DataCharacteristics object.
`void`
Metadata.`setMatrixCharacteristics(MatrixCharacteristics matrixCharacteristics)`
Set the metadata fields based on a DataCharacteristics object.
Constructors in org.apache.sysds.api.mlcontext with parameters of type MatrixCharacteristics
Modifier
Constructor
Description
``
`FrameMetadata(FrameSchema frameSchema, MatrixCharacteristics matrixCharacteristics)`
Constructor to create a FrameMetadata object based on the frame schema and a DataCharacteristics object.

## Uses of MatrixCharacteristics in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return MatrixCharacteristics
Modifier and Type
Method
Description
`MatrixCharacteristics`
WeightedDivMM.WDivMMType.`computeOutputCharacteristics(long Xrlen, long Xclen, long rank)`

## Uses of MatrixCharacteristics in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return MatrixCharacteristics
Modifier and Type
Method
Description
`static MatrixCharacteristics`
Expression.`getBinaryMatrixCharacteristics(Expression expression1, Expression expression2)`
Returns the matrix characteristics for scalar-scalar, scalar-matrix, matrix-scalar, matrix-matrix operations.